export default {
  data(){
    return{
      visibleModal:false,
      titleModal:void 0,
      componentContent:void 0,
      widthModal:1000,
      footer:void 0
    }
  },
  mounted(){
    window.FlowOpen={callback:()=>{
      this.handleOpenModal()
    }}//全局注册关闭事件
  },
  methods:{
    handleCloseModal(){
      this.visibleModal=false;
      this.componentContent=null;
      this.footer=null;
    },
    handleOpenModal(visible,title,width,componentContent,props,footer){
      this.visibleModal=visible;
      this.titleModal=title;
      this.widthModal=width;
      let defaultProps={
        onCancel:this.handleCloseModal
      };
      let newProps=Object.assign(defaultProps,props);
      this.componentContent=this.$createElement(componentContent,{
        props:newProps
      });
      if(footer){
        this.footer=this.$createElement(footer,{
          props:newProps
        });
      }
    }
  }
}
